osl::rating::RatingEnv Class Reference

`#include <ratingEnv.h>`

## Public Member Functions

void | update (const NumEffectState &new_state, Move last_move)
void | make (const NumEffectState &new_state)
void | make (const NumEffectState &new_state, const PieceMask &my_pin, const PieceMask &op_pin, Progress16)

## Public Attributes

MoveStack | history
Square8 | sendoffs
PieceMask | my_pin
PieceMask | op_pin
int | attack_count_for_turn
Progress16 | progress
CArray< signed char, Square::SIZE > | counteffect2_cache
CArray< int, Square::SIZE > | pattern_cache

## Detailed Description

Definition at line 15 of file ratingEnv.h.

## Member Function Documentation

## make() [1/2]

void osl::rating::RatingEnv::make | ( | const NumEffectState & | new_state | ) |

Definition at line 31 of file ratingEnv.cc.

References osl::alt(), make(), osl::NumEffectState::pin(), progress, and osl::SimpleState::turn().

Referenced by osl::rating::BradleyTerry::accumulate(), make(), and update().

## make() [2/2]

void osl::rating::RatingEnv::make | ( | const NumEffectState & | new_state,
|  | const PieceMask & | my_pin,
|  | const PieceMask & | op_pin,
|  | Progress16 | progress )

Definition at line 15 of file ratingEnv.cc.

References osl::alt(), attack_count_for_turn, osl::rating::DefenseKing8::count(), counteffect2_cache, osl::effect_util::SendOffSquare::find(), osl::SimpleState::kingSquare(), my_pin, op_pin, pattern_cache, progress, sendoffs, and osl::SimpleState::turn().

## update()

void osl::rating::RatingEnv::update | ( | const NumEffectState & | new_state,
|  | Move | last_move )

Definition at line 8 of file ratingEnv.cc.

References history, and make().

Referenced by osl::rating::BradleyTerry::accumulate().

## Member Data Documentation

## attack_count_for_turn

int osl::rating::RatingEnv::attack_count_for_turn

Definition at line 21 of file ratingEnv.h.

Referenced by osl::rating::DefenseKing8Group::findMatch(), and make().

## counteffect2_cache

CArray<signed char,Square::SIZE> osl::rating::RatingEnv::counteffect2_cache

mutable

Definition at line 23 of file ratingEnv.h.

Referenced by osl::rating::CountEffect2::index(), and make().

## history

MoveStack osl::rating::RatingEnv::history

Definition at line 18 of file ratingEnv.h.

Referenced by osl::rating::ChaseGroup::findMatch(), osl::rating::TakeBackGroup::findMatch(), osl::rating::DropCapturedGroup::findMatchWithoutProgress(), osl::rating::ImmediateEscapeGroup::findMatchWithoutProgress(), osl::rating::BigramAttack::index(), osl::rating::ImmediateAddSupport::index(), osl::rating::Chase::match(), osl::rating::ContinueCapture::match(), osl::rating::DropCaptured::match(), osl::rating::ImmediateAddSupport::match(), osl::rating::ImmediateEscape::match(), osl::rating::PawnAttack::match(), osl::rating::TakeBack2::match(), osl::rating::TakeBack::match(), and update().

## my_pin

PieceMask osl::rating::RatingEnv::my_pin

Definition at line 20 of file ratingEnv.h.

Referenced by osl::rating::CountEffect2::count(), osl::rating::EscapePinGroup::findMatch(), osl::rating::FeatureSet::generateRating(), osl::rating::PinAttack::index(), make(), osl::rating::EscapePin::match(), osl::rating::PinAttack::match(), and osl::rating::Capture::see().

## op_pin

PieceMask osl::rating::RatingEnv::op_pin

Definition at line 20 of file ratingEnv.h.

Referenced by osl::rating::CountEffect2::count(), osl::rating::PinAttack::index(), make(), osl::rating::PinAttack::match(), and osl::rating::Capture::see().

## pattern_cache

CArray<int,Square::SIZE> osl::rating::RatingEnv::pattern_cache

mutable

Definition at line 24 of file ratingEnv.h.

Referenced by osl::rating::PatternGroup::findMatch(), and make().

## progress

Progress16 osl::rating::RatingEnv::progress

Definition at line 22 of file ratingEnv.h.

Referenced by osl::rating::AttackKing8Group::findMatch(), osl::rating::CaptureGroup::findMatch(), osl::rating::CheckGroup::findMatch(), osl::rating::CheckmateIfCaptureGroup::findMatch(), osl::rating::ContinueCaptureGroup::findMatch(), osl::rating::DefenseKing8Group::findMatch(), osl::rating::DropCapturedGroup::findMatch(), osl::rating::EscapePinGroup::findMatch(), osl::rating::FromEffectGroup::findMatch(), osl::rating::ImmediateAddSupportGroup::findMatch(), osl::rating::ImmediateEscapeGroup::findMatch(), osl::rating::PawnAttackGroup::findMatch(), osl::rating::PinGroup::findMatch(), osl::rating::PtypeAttackedGroup::findMatch(), osl::rating::RelativeKingXGroup::findMatch(), osl::rating::RelativeKingYGroup::findMatch(), osl::rating::SendOffGroup::findMatch(), osl::rating::SquareXGroup::findMatch(), osl::rating::SquareYGroup::findMatch(), osl::rating::ThreatmateGroup::findMatch(), osl::rating::ToSupportedGroup::findMatch(), osl::rating::FeatureSet::generateLogProb(), osl::rating::FeatureSet::logProbKingEscape(), osl::rating::FeatureSet::logProbSeePlus(), osl::rating::FeatureSet::logProbTakeBack(), make(), make(), osl::rating::FeatureSet::makeRateWithCut(), osl::rating::RookDefense::match(), and osl::rating::FeatureSet::rating().

## sendoffs

Square8 osl::rating::RatingEnv::sendoffs

Definition at line 19 of file ratingEnv.h.

Referenced by osl::rating::SendOffGroup::findMatch(), make(), and osl::rating::SendOff::match().

The documentation for this class was generated from the following files:

- ratingEnv.h
- ratingEnv.cc